//+------------------------------------------------------------------+
//|                                               multiplier profit  |
//|                                                                  |
//|                                                    Arbus         |
//+------------------------------------------------------------------+
extern int MAGICMA               =20050610;
extern int buysell               =1;
extern double Lots               = 0.1;
extern double MaximumRisk        = 0.02;
extern double DecreaseFactor     = 3;
extern double MovingPeriod       = 12;
extern double MovingShift        = 6;
extern double closeprofit        = 50;
extern double closeprofit1        = 100;
extern double closeprofit2        = 200;
extern double closeprofit3        = 300;
extern double closeprofit4        = 400;
extern double closeprofit5        = 500;
extern double closeprofit6        = 600;
extern double openneworder       = 20;
extern int    multiplier1        = 3;
extern int    multiplier2        = 6;
extern int    multiplier3        = 16;
extern int    multiplier4        = 32;
extern int    multiplier5        = 50;
double highestshort = 0;
double lowestlong   = 0;
int    check        = 0;
//+------------------------------------------------------------------+
//| Calculate open positions                                         |
//+------------------------------------------------------------------+
int CalculateCurrentOrders(string symbol)
  {
   int buys=0,sells=0;
//----
   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false) break;
      if(OrderSymbol()==Symbol() && OrderMagicNumber()==MAGICMA)
        {
         if(OrderType()==OP_BUY)  buys++;
         if(OrderType()==OP_SELL) sells++;
        }
     }
//---- return orders volume
   if(buys>0) return(buys);
   else       return(-sells);
  }
  
  

  
  
  
  double LotsOptimized()
  {
   double lot=Lots;
   return(lot);
 }
  
//+------------------------------------------------------------------+
//| Calculate optimal lot size                                       |
//+------------------------------------------------------------------+
double LotsOptimized1()
  {
   double lot=Lots;
   int    orders=HistoryTotal();     // history orders total
   int    losses=0;                  // number of losses orders without a break
//---- select lot size
   lot=NormalizeDouble(AccountFreeMargin()*MaximumRisk/10000.0,1);
//---- calcuulate number of losses orders without a break
   if(DecreaseFactor>0)
     {
      for(int i=orders-1;i>=0;i--)
        {
         if(OrderSelect(i,SELECT_BY_POS,MODE_HISTORY)==false) { Print("Error in history!"); break; }
         if(OrderSymbol()!=Symbol() || OrderType()>OP_SELL) continue;
         //----
         if(OrderProfit()>0) break;
         if(OrderProfit()<0) losses++;
        }
      if(losses>1) lot=NormalizeDouble(lot-lot*losses/DecreaseFactor,1);
     }
//---- return lot size
   if(lot<0.01) lot=0.01;
   return(lot);
  }
//+------------------------------------------------------------------+
//| Check for open order conditions                                  |
//+------------------------------------------------------------------+
void CheckForOpen()
  {
   double ma;
   int    res;
//---- go trading only for first tiks of new bar
 //  if(Volume[0]>1) return;
//---- get Moving Average 
   ma=iMA(NULL,0,MovingPeriod,MovingShift,MODE_SMA,PRICE_CLOSE,0);
//---- sell conditions
  // if(Open[1]<ma && Close[1]>ma) 
  if (buysell==1)
     {
      res=OrderSend(Symbol(),OP_SELL,LotsOptimized(),Bid,3,0,0,"",MAGICMA,0,Red);
      check=1;
      return;
     }
//---- buy conditions
   //if(Open[1]>ma && Close[1]<ma)  
   if (buysell==2)
     {
      res=OrderSend(Symbol(),OP_BUY,LotsOptimized(),Ask,3,0,0,"",MAGICMA,0,Blue);
      check=1;
      return;
     }
//----
  }
//+------------------------------------------------------------------+
//| Check for close order conditions                                 |
//+------------------------------------------------------------------+
void CheckForClose()
  {
  
//----

highestshort= 0;
lowestlong  = 0;

   for(int i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()!=MAGICMA || OrderSymbol()!=Symbol()) continue;
      //---- check order type 
      if(OrderType()==OP_BUY)
        {
         if(check==1 && OrderProfit()< Bid-closeprofit) CloseAllOrders();
         if(check==2 && OrderProfit()< Bid-closeprofit1) CloseAllOrders();
         if(check==3 && OrderProfit()< Bid-closeprofit2) CloseAllOrders();
         if(check==4 && OrderProfit()< Bid-closeprofit3) CloseAllOrders();
         if(check==5 && OrderProfit()< Bid-closeprofit4) CloseAllOrders();
         if(check==6 && OrderProfit()< Bid-closeprofit5) CloseAllOrders();
         if(check==7 && OrderProfit()< Bid-closeprofit6) CloseAllOrders();
       //  if(OrderProfit()> Bid+openneworder)OrderSend(Symbol(),OP_BUY,LotsOptimized()*i,Ask,3,0,0,"",MAGICMA,0,LightBlue);
         if(OrderOpenPrice()<lowestlong || lowestlong==0)lowestlong=OrderOpenPrice();
            
        // break;
        }
      if(OrderType()==OP_SELL)
        {
         if(check==1 && OrderProfit()< Ask-closeprofit) CloseAllOrders();
         if(check==2 && OrderProfit()< Ask-closeprofit1) CloseAllOrders();
         if(check==3 && OrderProfit()< Ask-closeprofit2) CloseAllOrders();
         if(check==4 && OrderProfit()< Ask-closeprofit3) CloseAllOrders();
         if(check==5 && OrderProfit()< Ask-closeprofit4) CloseAllOrders();
         if(check==6 && OrderProfit()< Ask-closeprofit5) CloseAllOrders();
         if(check==7 && OrderProfit()< Ask-closeprofit6) CloseAllOrders();
         if(OrderOpenPrice()>highestshort || highestshort==0)highestshort=OrderOpenPrice();
            
       //  if(OrderProfit()> Ask+openneworder)OrderSend(Symbol(),OP_SELL,LotsOptimized()*1,Bid,3,0,0,"",MAGICMA,0,Orange);
         
         
       //  break;
        }
     }
     
     for( i=0;i<OrdersTotal();i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
      if(OrderMagicNumber()!=MAGICMA || OrderSymbol()!=Symbol()) continue;
      //---- check order type 
       if(OrderType()==OP_BUY)
          {
           if(check==1 && OrderProfit()> Bid+openneworder)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier1,Ask,3,0,0,"buy2",MAGICMA,0,LightBlue);
             check=2;
             }
           if(check==2 && OrderProfit()> Bid+openneworder * 2 )
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier2,Ask,3,0,0,"buy3",MAGICMA,0,LightBlue);
             check=3;
             }
           if(check==3 && OrderProfit()> Bid+openneworder * 3)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier3,Ask,3,0,0,"buy4",MAGICMA,0,LightBlue);
             check=4;
             }
           if(check==4 && OrderProfit()> Bid+openneworder * 4)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier4,Ask,3,0,0,"buy5",MAGICMA,0,LightBlue);
             check=5;
             }
           if(check==5 && OrderProfit()> Bid+openneworder * 5)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy6",MAGICMA,0,LightBlue);
             check=6;
             }
           if(check==6 && OrderProfit()> Bid+openneworder * 6)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy7",MAGICMA,0,LightBlue);
             check=7;
             }
             if(check==7 && OrderProfit()> Bid+openneworder * 7)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy8",MAGICMA,0,LightBlue);
             check=8;
             }
             if(check==8 && OrderProfit()> Bid+openneworder * 8)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy9",MAGICMA,0,LightBlue);
             check=9;
             }
             if(check==9 && OrderProfit()> Bid+openneworder * 9)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy10",MAGICMA,0,LightBlue);
             check=10;
             }
             if(check==10 && OrderProfit()> Bid+openneworder * 10)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy11",MAGICMA,0,LightBlue);
             check=11;
             }
             if(check==11 && OrderProfit()> Bid+openneworder * 11)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy12",MAGICMA,0,LightBlue);
             check=12;
             }
             if(check==12 && OrderProfit()> Bid+openneworder * 12)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy13",MAGICMA,0,LightBlue);
             check=13;
             }
             if(check==13 && OrderProfit()> Bid+openneworder * 13)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy14",MAGICMA,0,LightBlue);
             check=14;
             }
             if(check==14 && OrderProfit()> Bid+openneworder * 14)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy15",MAGICMA,0,LightBlue);
             check=15;
             }
               if(check==15 && OrderProfit()> Bid+openneworder * 15)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy16",MAGICMA,0,LightBlue);
             check=16;
             }
             if(check==16 && OrderProfit()> Bid+openneworder * 16)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy17",MAGICMA,0,LightBlue);
             check=17;
             }
             if(check==17 && OrderProfit()> Bid+openneworder * 17)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy18",MAGICMA,0,LightBlue);
             check=18;
             }
             if(check==18 && OrderProfit()> Bid+openneworder * 18)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy19",MAGICMA,0,LightBlue);
             check=19;
             }
             if(check==19 && OrderProfit()> Bid+openneworder * 19)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy20",MAGICMA,0,LightBlue);
             check=20;
             }
             if(check==20 && OrderProfit()> Bid+openneworder * 20)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy21",MAGICMA,0,LightBlue);
             check=21;
             } 
             if(check==21 && OrderProfit()> Bid+openneworder * 21)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy22",MAGICMA,0,LightBlue);
             check=22;
             } 
             if(check==22 && OrderProfit()> Bid+openneworder * 22)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy23",MAGICMA,0,LightBlue);
             check=23;
             } 
             if(check==23 && OrderProfit()> Bid+openneworder * 23)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy24",MAGICMA,0,LightBlue);
             check=24;
             } 
             if(check==24 && OrderProfit()> Bid+openneworder * 24)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy25",MAGICMA,0,LightBlue);
             check=25;
             } 
             if(check==25 && OrderProfit()> Bid+openneworder * 25)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy26",MAGICMA,0,LightBlue);
             check=26;
             } 
             if(check==26 && OrderProfit()> Bid+openneworder * 26)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy27",MAGICMA,0,LightBlue);
             check=27;
             } 
             if(check==27 && OrderProfit()> Bid+openneworder * 27)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy28",MAGICMA,0,LightBlue);
             check=28;
             } 
             if(check==28 && OrderProfit()> Bid+openneworder * 28)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy29",MAGICMA,0,LightBlue);
             check=29;
             } 
             if(check==29 && OrderProfit()> Bid+openneworder * 29)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy30",MAGICMA,0,LightBlue);
             check=30;
             }   
             if(check==30 && OrderProfit()> Bid+openneworder * 30)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy31",MAGICMA,0,LightBlue);
             check=31;
             }  
             if(check==31 && OrderProfit()> Bid+openneworder * 31)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy32",MAGICMA,0,LightBlue);
             check=32;
             }  
             if(check==32 && OrderProfit()> Bid+openneworder * 32)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy33",MAGICMA,0,LightBlue);
             check=33;
             }  
             if(check==33 && OrderProfit()> Bid+openneworder * 33)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy34",MAGICMA,0,LightBlue);
             check=34;
             }  
             if(check==34 && OrderProfit()> Bid+openneworder * 34)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy35",MAGICMA,0,LightBlue);
             check=35;
             }  
             if(check==35 && OrderProfit()> Bid+openneworder * 35)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy36",MAGICMA,0,LightBlue);
             check=36;
             }  
             if(check==36 && OrderProfit()> Bid+openneworder * 36)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy37",MAGICMA,0,LightBlue);
             check=37;
             }  
             if(check==37 && OrderProfit()> Bid+openneworder * 37)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy38",MAGICMA,0,LightBlue);
             check=38;
             }  
             if(check==38 && OrderProfit()> Bid+openneworder * 38)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy39",MAGICMA,0,LightBlue);
             check=39;
             }  
             if(check==39 && OrderProfit()> Bid+openneworder * 39)
             {OrderSend(Symbol(),OP_BUY,LotsOptimized()*multiplier5,Ask,3,0,0,"buy40",MAGICMA,0,LightBlue);
             check=40;
             }  
                 
          }
        
       if(OrderType()==OP_SELL)
          {
          if(check==1 && OrderProfit()> Ask+openneworder)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier1,Bid,3,0,0,"sell2",MAGICMA,0,Orange);
            check=2;
            }
          if(check==2 && OrderProfit()> Ask+openneworder * 2)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier2,Bid,3,0,0,"sell3",MAGICMA,0,Orange);
            check=3;
            }
          if(check==3 && OrderProfit()> Ask+openneworder * 3)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier3,Bid,3,0,0,"sell4",MAGICMA,0,Orange);
            check=4;
            }
          if(check==4 && OrderProfit()> Ask+openneworder * 4)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier4,Bid,3,0,0,"sell5",MAGICMA,0,Orange);
            check=5;
            }  
          if(check==5 && OrderProfit()> Ask+openneworder * 5)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell6",MAGICMA,0,Orange);
            check=6;
            }   
          if(check==6 && OrderProfit()> Ask+openneworder * 6)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell7",MAGICMA,0,Orange);
            check=7;
            }  
            if(check==7 && OrderProfit()> Ask+openneworder * 7)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell8",MAGICMA,0,Orange);
            check=8;
            }  
            if(check==8 && OrderProfit()> Ask+openneworder * 8)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell9",MAGICMA,0,Orange);
            check=9;
            }  
            if(check==9 && OrderProfit()> Ask+openneworder * 9)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell10",MAGICMA,0,Orange);
            check=10;
            }  
            if(check==10 && OrderProfit()> Ask+openneworder * 10)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell11",MAGICMA,0,Orange);
            check=11;
            }  
            if(check==11 && OrderProfit()> Ask+openneworder * 11)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell12",MAGICMA,0,Orange);
            check=12;
            }  
            if(check==12 && OrderProfit()> Ask+openneworder * 12)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell13",MAGICMA,0,Orange);
            check=13;
            }
            if(check==13 && OrderProfit()> Ask+openneworder * 13)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell14",MAGICMA,0,Orange);
            check=14;
            }     
            if(check==14 && OrderProfit()> Ask+openneworder * 14)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell15",MAGICMA,0,Orange);
            check=15;
            }     
            if(check==15 && OrderProfit()> Ask+openneworder * 15)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell16",MAGICMA,0,Orange);
            check=16;
            }     
            if(check==16 && OrderProfit()> Ask+openneworder * 16)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell17",MAGICMA,0,Orange);
            check=17;
            }     
            if(check==17 && OrderProfit()> Ask+openneworder * 17)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell18",MAGICMA,0,Orange);
            check=18;
            }     
            if(check==18 && OrderProfit()> Ask+openneworder * 18)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell19",MAGICMA,0,Orange);
            check=19;
            }     
            if(check==19 && OrderProfit()> Ask+openneworder * 19)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell20",MAGICMA,0,Orange);
            check=20;
            }          
            if(check==20 && OrderProfit()> Ask+openneworder * 20)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell21",MAGICMA,0,Orange);
            check=21;
            }    
            if(check==21 && OrderProfit()> Ask+openneworder * 21)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell22",MAGICMA,0,Orange);
            check=22;
            } 
            if(check==22 && OrderProfit()> Ask+openneworder * 22)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell23",MAGICMA,0,Orange);
            check=23;
            } 
            if(check==23 && OrderProfit()> Ask+openneworder * 23)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell24",MAGICMA,0,Orange);
            check=24;
            } 
            if(check==24 && OrderProfit()> Ask+openneworder * 24)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell25",MAGICMA,0,Orange);
            check=25;
            } 
            if(check==25 && OrderProfit()> Ask+openneworder * 25)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell26",MAGICMA,0,Orange);
            check=26;
            } 
            if(check==26 && OrderProfit()> Ask+openneworder * 26)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell27",MAGICMA,0,Orange);
            check=27;
            } 
            if(check==27 && OrderProfit()> Ask+openneworder * 27)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell28",MAGICMA,0,Orange);
            check=28;
            } 
            if(check==28 && OrderProfit()> Ask+openneworder * 28)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell29",MAGICMA,0,Orange);
            check=29;
            } 
            if(check==29 && OrderProfit()> Ask+openneworder * 29)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell30",MAGICMA,0,Orange);
            check=30;
            } 
            if(check==30 && OrderProfit()> Ask+openneworder * 30)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell31",MAGICMA,0,Orange);
            check=31;
            } 
            if(check==31 && OrderProfit()> Ask+openneworder * 31)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell32",MAGICMA,0,Orange);
            check=32;
            } 
            if(check==32 && OrderProfit()> Ask+openneworder * 32)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell33",MAGICMA,0,Orange);
            check=33;
            } 
            if(check==33 && OrderProfit()> Ask+openneworder * 33)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell34",MAGICMA,0,Orange);
            check=34;
            } 
            if(check==34 && OrderProfit()> Ask+openneworder * 34)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell35",MAGICMA,0,Orange);
            check=35;
            } 
            if(check==35 && OrderProfit()> Ask+openneworder * 35)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell36",MAGICMA,0,Orange);
            check=36;
            } 
            if(check==36 && OrderProfit()> Ask+openneworder * 36)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell37",MAGICMA,0,Orange);
            check=37;
            } 
            if(check==37 && OrderProfit()> Ask+openneworder * 37)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell38",MAGICMA,0,Orange);
            check=38;
            } 
            if(check==38 && OrderProfit()> Ask+openneworder * 38)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell39",MAGICMA,0,Orange);
            check=39;
            } 
            if(check==39 && OrderProfit()> Ask+openneworder * 39)
            {OrderSend(Symbol(),OP_SELL,LotsOptimized()*multiplier5,Bid,3,0,0,"sell40",MAGICMA,0,Orange);
            check=40;
            } 
                      
         }
     }
     }
     
//----



//+------------------------------------------------------------------+
//| Check for close order conditions                                 |
//+------------------------------------------------------------------+

  
  void CloseAllOrders()
  {
  
  //for(int i=0;i<OrdersTotal();i++)
  for(int i=OrdersTotal()-1;i>=0;i--)
     {
     // if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==false)        break;
     OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
      if(OrderMagicNumber()!=MAGICMA || OrderSymbol()!=Symbol()) continue;
      //---- check order type 
      if(OrderType()==OP_BUY)
        {
         OrderClose(OrderTicket(),OrderLots(),Bid,0,White);
         check=0;
         Sleep(5000);
         
        }
      if(OrderType()==OP_SELL)
        {
         OrderClose(OrderTicket(),OrderLots(),Ask,0,White);
         check=0;
         Sleep(5000);
         
        }
     }
     }
//+------------------------------------------------------------------+
//| Start function                                                   |
//+------------------------------------------------------------------+
void start()
  {
//---- check for history and trading
   if(Bars<100 || IsTradeAllowed()==false) return;
//---- calculate open orders by current symbol
   if(CalculateCurrentOrders(Symbol())==0) CheckForOpen();
   else                                    CheckForClose();
//----



  }
//+------------------------------------------------------------------+